import request from "@/utils/request";

// 商户表列表
export function apiMerchantLists(params: any) {
  return request.get({ url: "/merchat/merchant/lists", params });
}

// 添加商户表
export function apiMerchantAdd(params: any) {
  return request.post({ url: "/merchat/merchant/add", params });
}

// 编辑商户表
export function apiMerchantEdit(params: any) {
  return request.post({ url: "/merchat/merchant/edit", params });
}

// 删除商户表
export function apiMerchantDelete(params: any) {
  return request.post({ url: "/merchat/merchant/delete", params });
}

// 商户表详情
export function apiMerchantDetail(params: any) {
  return request.get({ url: "/merchat/merchant/detail", params });
}

// 已绑商品表列表
export function apiBindGoodstLists(params: any) {
  return request.get({ url: "/merchat/merchant/bind_goods_lists", params });
}

// 已绑商品表列表
export function apiMerchantApplyLists(params: any) {
  return request.get({ url: "/merchat/merchant/apply_lists", params });
}

// 审核
export function apiMerchantStatusUpdate(params: any) {
  return request.post({ url: "/merchat/merchant/status", params });
}

// 设置余额
export function apiMerchantSetBalance(params: any) {
  return request.post({ url: "/merchat/merchant/set_money", params });
}

// 绑定用户
export function apiMerchantBindUser(params: any) {
  return request.post({ url: "/merchat/merchant/bind_user", params });
}


// 绑定银行卡
export function apiMerchantBindBank(params: any) {
  return request.post({ url: "/merchat/merchant/bind_bank", params });
}

// 重置密码
export function editPassword(params: any) {
  return request.post({ url: "/merchat/merchant/edit_password", params });
}

// /admin?mer_id=506
